// Removes whitespace characters from the beginning and end of a string
String.prototype.trim = function() {
    return this.replace(/^\s+|\s+$/g, "");
}

// Sets the active stylesheet for the HTML document according to the specified
// title.
function setActiveStyleSheet(title) {
    var stylesheets = document.getElementsByTagName("link");
    for (var i = 0; i < stylesheets.length; i++) {
        var stylesheet = stylesheets[i];
        // If the stylesheet doesn't contain the title attribute, assume it's
        // a persistent stylesheet and should not be disabled
        if (!stylesheet.getAttribute("title")) {
            continue;
        }
        // All other stylesheets than the one specified by "title" should be
        // disabled
        if (stylesheet.getAttribute("title") != title) {
            stylesheet.disabled = true;
        } else {
            stylesheet.disabled = false;
        }
    }
}